"use strict";
var __webpack_exports__ = {};
const index_js_namespaceObject = require("../../collection-record/index.js");
describe('Record', ()=>{
    test('should works', ()=>{
        const record = new index_js_namespaceObject.CollectionRecord({
            data: {
                id: 1
            }
        });
        expect(record.data.id).toBe(1);
        record.setData({
            id: 2
        });
        expect(record.data.id).toBe(2);
        record.setParentRecord(new index_js_namespaceObject.CollectionRecord({
            data: {
                name: 'a'
            }
        }));
        expect(record.parentRecord.data.name).toBe('a');
    });
});
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
